<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>Uses of Package com.here.android.mpa.customlocation2 (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package com.here.android.mpa.customlocation2 (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/customlocation2/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package com.here.android.mpa.customlocation2" class="title">Uses of Package<br>com.here.android.mpa.customlocation2</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../com/here/android/mpa/customlocation2/package-summary.html">com.here.android.mpa.customlocation2</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.customlocation2">com.here.android.mpa.customlocation2</a></td>
<td class="colLast">
<div class="block">This package provides classes and interfaces that support the more advanced version of
custom location search.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.customlocation2">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../com/here/android/mpa/customlocation2/package-summary.html">com.here.android.mpa.customlocation2</a> used by <a href="../../../../../com/here/android/mpa/customlocation2/package-summary.html">com.here.android.mpa.customlocation2</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2DataManager.html#com.here.android.mpa.customlocation2">CLE2DataManager</a>
<div class="block">This class is responsible for managing layer data for CLE2 offline use.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2DataManager.OperationType.html#com.here.android.mpa.customlocation2">CLE2DataManager.OperationType</a>
<div class="block">Indicated type of operation performed on CLE2 data.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2DataManager.StorageType.html#com.here.android.mpa.customlocation2">CLE2DataManager.StorageType</a>
<div class="block">Indicates which class of storage was affected by the data operation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2Geometry.html#com.here.android.mpa.customlocation2">CLE2Geometry</a>
<div class="block">Specifies a user-defined geometry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2LayerMetadata.html#com.here.android.mpa.customlocation2">CLE2LayerMetadata</a>
<div class="block">Encapsulates metadata describing a CLE2 layer.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2OperationResult.html#com.here.android.mpa.customlocation2">CLE2OperationResult</a>
<div class="block">Encapsulates information about CLE2 data change that was a result of a local or remote data
 operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2PolygonGeometry.html#com.here.android.mpa.customlocation2">CLE2PolygonGeometry</a>
<div class="block">Specifies a user-defined polygon geometry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2Request.html#com.here.android.mpa.customlocation2">CLE2Request</a>
<div class="block">Represents a custom location search request.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2Request.CLE2ConnectivityMode.html#com.here.android.mpa.customlocation2">CLE2Request.CLE2ConnectivityMode</a>
<div class="block">Specifies the connectivity mode for a request.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2Request.CLE2Error.html#com.here.android.mpa.customlocation2">CLE2Request.CLE2Error</a>
<div class="block">Represents values describing possible search request errors.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2Request.CLE2Error.CLE2ErrorCode.html#com.here.android.mpa.customlocation2">CLE2Request.CLE2Error.CLE2ErrorCode</a>
<div class="block">Error codes</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2Request.CLE2GeometryType.html#com.here.android.mpa.customlocation2">CLE2Request.CLE2GeometryType</a>
<div class="block">Specifies the geometry representation in the result.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2Request.CLE2ResultListener.html#com.here.android.mpa.customlocation2">CLE2Request.CLE2ResultListener</a>
<div class="block">Represents a listener that reports information about the completion of a custom location
 search <a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.html" title="class in com.here.android.mpa.customlocation2"><code>CLE2Request</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2Result.html#com.here.android.mpa.customlocation2">CLE2Result</a>
<div class="block">Stores the user-defined locations or geometries retrieved from a <a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.html" title="class in com.here.android.mpa.customlocation2"><code>CLE2Request</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2Task.html#com.here.android.mpa.customlocation2">CLE2Task</a>
<div class="block">Encapsulates an asynchronous CLE2 task (that usually involves network communication
 and/or database operations) and provides some common operations
 like observing, waiting for the result, cancelling or getting the result.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../../com/here/android/mpa/customlocation2/class-use/CLE2Task.Callback.html#com.here.android.mpa.customlocation2">CLE2Task.Callback</a>
<div class="block">Used to notify the client of the result of the operation.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/customlocation2/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
